<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.2) on Mon Apr 13 15:28:25 EEST 2020 -->
<title>S-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-13">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="../dao/AbstractDAO.html#selectAll()">selectAll()</a></span> - Method in class dao.<a href="../dao/AbstractDAO.html" title="class in dao">AbstractDAO</a></dt>
<dd>
<div class="block">Selecteaza toate datele din baza de date corespunzatoare tipului T</div>
</dd>
<dt><span class="memberNameLink"><a href="../bll/OrderBLL.html#selectByClientId(int)">selectByClientId(int)</a></span> - Method in class bll.<a href="../bll/OrderBLL.html" title="class in bll">OrderBLL</a></dt>
<dd>
<div class="block">Se apeleaza metoda findByClient din clasa OrderDAO</div>
</dd>
<dt><span class="memberNameLink"><a href="../bll/ClientBLL.html#selectById(int)">selectById(int)</a></span> - Method in class bll.<a href="../bll/ClientBLL.html" title="class in bll">ClientBLL</a></dt>
<dd>
<div class="block">Se apeleaza metoda  findById  din clasa clientDAO</div>
</dd>
<dt><span class="memberNameLink"><a href="../bll/OrderBLL.html#selectById(int)">selectById(int)</a></span> - Method in class bll.<a href="../bll/OrderBLL.html" title="class in bll">OrderBLL</a></dt>
<dd>
<div class="block">Se apeleaza metoda findById din clasa OrderDAO</div>
</dd>
<dt><span class="memberNameLink"><a href="../bll/OrderItemBLL.html#selectById(int)">selectById(int)</a></span> - Method in class bll.<a href="../bll/OrderItemBLL.html" title="class in bll">OrderItemBLL</a></dt>
<dd>
<div class="block">Gaseste orderItem-ul cu id-ul dorit, apeland metoda din OrderItemDAO</div>
</dd>
<dt><span class="memberNameLink"><a href="../bll/OrderItemBLL.html#selectByIdPlusClient(int,java.lang.String)">selectByIdPlusClient(int, String)</a></span> - Method in class bll.<a href="../bll/OrderItemBLL.html" title="class in bll">OrderItemBLL</a></dt>
<dd>
<div class="block">Gaseste orderItem-ul cu id-ul si produsul dorit,apeland metoda din OrderItemDAO</div>
</dd>
<dt><span class="memberNameLink"><a href="../bll/ClientBLL.html#selectByName(java.lang.String)">selectByName(String)</a></span> - Method in class bll.<a href="../bll/ClientBLL.html" title="class in bll">ClientBLL</a></dt>
<dd>
<div class="block">Se apeleaza metoda  findByName  din clientDAO</div>
</dd>
<dt><span class="memberNameLink"><a href="../bll/ProductBLL.html#selectByName(java.lang.String)">selectByName(String)</a></span> - Method in class bll.<a href="../bll/ProductBLL.html" title="class in bll">ProductBLL</a></dt>
<dd>
<div class="block">Apeleaza metoda findByName din ProductDAO</div>
</dd>
<dt><span class="memberNameLink"><a href="../bll/ClientBLL.html#selectClients()">selectClients()</a></span> - Method in class bll.<a href="../bll/ClientBLL.html" title="class in bll">ClientBLL</a></dt>
<dd>
<div class="block">Se apeleaza metoda  selectAll din clientDAO</div>
</dd>
<dt><span class="memberNameLink"><a href="../bll/OrderItemBLL.html#selectOrderItems()">selectOrderItems()</a></span> - Method in class bll.<a href="../bll/OrderItemBLL.html" title="class in bll">OrderItemBLL</a></dt>
<dd>
<div class="block">Se apeleaza metoda selectAll din orderItemDAO,apeland metoda din OrderItemDAO</div>
</dd>
<dt><span class="memberNameLink"><a href="../bll/OrderBLL.html#selectOrders()">selectOrders()</a></span> - Method in class bll.<a href="../bll/OrderBLL.html" title="class in bll">OrderBLL</a></dt>
<dd>
<div class="block">Se apeleaza metoda selectAll din orderDAO</div>
</dd>
<dt><span class="memberNameLink"><a href="../bll/ProductBLL.html#selectProducts()">selectProducts()</a></span> - Method in class bll.<a href="../bll/ProductBLL.html" title="class in bll">ProductBLL</a></dt>
<dd>
<div class="block">Apeleaza metoda selectAll din ProductDAO</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/Client.html#setAddress(java.lang.String)">setAddress(String)</a></span> - Method in class model.<a href="../model/Client.html" title="class in model">Client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Client.html#setIdClient(int)">setIdClient(int)</a></span> - Method in class model.<a href="../model/Client.html" title="class in model">Client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Order.html#setIdClient(int)">setIdClient(int)</a></span> - Method in class model.<a href="../model/Order.html" title="class in model">Order</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Order.html#setIdOrder(int)">setIdOrder(int)</a></span> - Method in class model.<a href="../model/Order.html" title="class in model">Order</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/OrderItem.html#setIdOrder(int)">setIdOrder(int)</a></span> - Method in class model.<a href="../model/OrderItem.html" title="class in model">OrderItem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Product.html#setIdProduct(int)">setIdProduct(int)</a></span> - Method in class model.<a href="../model/Product.html" title="class in model">Product</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Client.html#setName(java.lang.String)">setName(String)</a></span> - Method in class model.<a href="../model/Client.html" title="class in model">Client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Product.html#setName(java.lang.String)">setName(String)</a></span> - Method in class model.<a href="../model/Product.html" title="class in model">Product</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/OrderItem.html#setNameProduct(java.lang.String)">setNameProduct(String)</a></span> - Method in class model.<a href="../model/OrderItem.html" title="class in model">OrderItem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Product.html#setPrice(float)">setPrice(float)</a></span> - Method in class model.<a href="../model/Product.html" title="class in model">Product</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/OrderItem.html#setQuantity(int)">setQuantity(int)</a></span> - Method in class model.<a href="../model/OrderItem.html" title="class in model">OrderItem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Product.html#setQuantity(int)">setQuantity(int)</a></span> - Method in class model.<a href="../model/Product.html" title="class in model">Product</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Order.html#setTotal(float)">setTotal(float)</a></span> - Method in class model.<a href="../model/Order.html" title="class in model">Order</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
